Name:           viking
Version:        1.1
Release:        1%{?dist}
Summary:        GPS data editor and analyzer

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://viking.sourceforge.net/
Source0:        http://downloads.sourceforge.net/viking/viking-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  intltool
BuildRequires:  expat-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gpsd-devel
BuildRequires:  gtk2-devel
BuildRequires:  libcurl-devel
BuildRequires:  gnome-doc-utils

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       hicolor-icon-theme


%description
Viking is a free/open source program to manage GPS data. You can import
and plot tracks and waypoints, show OpenStreetMap and/or Terraserver maps
under it, download geocaches for an area on the map, make new tracks and
waypoints, see real-time GPS position, etc. 


%prep
%setup -q
#%patch1 -p0 -b .linking
# Convert to utf-8
for file in ChangeLog NEWS TODO; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.a' -exec rm -f {} ';'
desktop-file-install                                        \
    --add-category="GTK;Network;"                           \
    --delete-original                                       \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%check
make test


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING NEWS README TODO
%doc doc/G* doc/*.xml doc/dev/C* doc/dev/F* doc/dev/Merge* doc/dev/T*
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/viking/viking-C.omf


%changelog
* Sun Mar 06 2011 Fabian Affolter <fabian@bernewireless.net> - 1.1-1
- Updated to new upstream version 1.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Fabian Affolter <fabian@bernewireless.net> - 1.0.1-1
- Updated description to fix #673009
- Updated to new upstream version 1.0.1

* Sat Nov 20 2010 Fabian Affolter <fabian@bernewireless.net> - 1.0-2
- Removed patch, is now upstream

* Sat Nov 20 2010 Fabian Affolter <fabian@bernewireless.net> - 1.0-1
- Added test suite
- Updated to new upstream version 1.0

* Wed Nov 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.96-1
- Updated to new upstream version 0.9.96

* Wed Sep 29 2010 jkeating - 0.9.95-3
- Rebuilt for gcc bug 634757

* Sat Sep 18 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.95-2
- disable scrollkeeper

* Tue Sep 07 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.95-1
- Removed old patch0
- Added new BR
- Updated to new upstream version 0.9.95

* Wed Jul 14 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.94-1
- Updated file section
- Updated DSOLinking patch
- Updated to new upstream version 0.9.94

* Thu May 27 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.93-1
- Updated to new upstream version 0.9.93

* Sun May 09 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.91-4
- Rebuild for new gpsd release

* Tue Apr 27 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.91-3
- New patch to fix DSOLinking (#565080)

* Mon Mar 22 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.91-2
- Added patch to fix DSOLinking (#565080)

* Sat Feb 27 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.91-1
- Updated to new upstream version 0.9.91

* Sun Sep 13 2009 Fabian Affolter <fabian@bernewireless.net> - 0.9.9-1
- Update to new upstream version 0.9.9

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.8-2
- use new gpsd header (gpsdclient.h)

* Sat Mar 28 2009 Fabian Affolter <fabian@bernewireless.net> - 0.9.8-1
- Update to new upstream version, 0.9.8

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.9.7-2
- Added missing hicolor-icon-theme

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.9.7-1
- Initial package for Fedora
